Loading...
Searching...
No Matches
contourLine.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/regularData2D.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | BALL::TContourLine< T >

## Namespaces

namespace | BALL

## Macros

#define | INTERPOL12
#define | INTERPOL18
#define | INTERPOL24
#define | INTERPOL48

## Typedefs

typedef TContourLine< float > | BALL::ContourLine

## Macro Definition Documentation

## INTERPOL12

#define INTERPOL12

Value:
{ \
vec = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x, act_cell_y)));\
d1 = from[act_cell_x + act_cell_y*(number_of_cells_x+1)];\
d2 = from[act_cell_x + 1 + act_cell_y*(number_of_cells_x+1)];\
vec2 = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x + 1, act_cell_y + 1)));\
slope = (d2 - d1) / (vec2.x - vec.x);\
vec.x += (threshold - d1)/slope;\
data_.push_back(vec);\
}

Definition at line 22 of file contourLine.h.

## INTERPOL18

#define INTERPOL18

Value:
{ \
vec = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x, act_cell_y)));\
d1 = from[act_cell_x + act_cell_y*(number_of_cells_x+1)];\
d2 = from[act_cell_x + (act_cell_y+1)*(number_of_cells_x+1)];\
vec2 = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x, act_cell_y+1)));\
slope = (d2 - d1) / (vec2.y - vec.y);\
vec.y += (threshold - d1)/slope;\
data_.push_back(vec);\
}

Definition at line 32 of file contourLine.h.

## INTERPOL24

#define INTERPOL24

Value:
{ \
vec = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x+1, act_cell_y)));\
d1 = from[act_cell_x+1 + act_cell_y*(number_of_cells_x+1)];\
d2 = from[act_cell_x+1 + (act_cell_y+1)*(number_of_cells_x+1)];\
vec2 = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x+1, act_cell_y+1)));\
slope = (d2 - d1) / (vec2.y - vec.y);\
vec.y += (threshold - d1)/slope;\
data_.push_back(vec);\
}

Definition at line 42 of file contourLine.h.

## INTERPOL48

#define INTERPOL48

Value:
{ \
vec = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x+1, act_cell_y+1)));\
d1 = from[act_cell_x+1 + (act_cell_y+2)*(number_of_cells_x+1)];\
d2 = from[act_cell_x + (act_cell_y+1)*(number_of_cells_x+1)];\
vec2 = from.getCoordinates(from.getClosestIndex(Vector2(act_cell_x, act_cell_y+1)));\
slope = (d2 - d1) / (vec2.x - vec.x);\
vec.x += (threshold - d1)/slope;\
data_.push_back(vec);\
}

Definition at line 53 of file contourLine.h.